Skip to main content
`Ctrl`+`K`

# DMReorderDefaultFlag

Flag indicating whether the `DM` should be reordered by default

## Synopsis

    typedef enum {
      DM_REORDER_DEFAULT_NOTSET = -1,
      DM_REORDER_DEFAULT_FALSE  = 0,
      DM_REORDER_DEFAULT_TRUE   = 1
    } DMReorderDefaultFlag;

## Values

- `DM_REORDER_DEFAULT_NOTSET` - Flag not set.

- `DM_REORDER_DEFAULT_FALSE` - Do not reorder by default.

- `DM_REORDER_DEFAULT_TRUE` - Reorder by default.

## Developer Note

Could be replaced with `PETSC_BOOL3`

## See Also

`DMPlexReorderSetDefault()`, `DMPlexReorderGetDefault()`, `DMPlexGetOrdering()`, `DMPlexPermute()`

## Level

intermediate

## Location

include/petscdmtypes.h

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages